DOLFIN-CONVERT(1)

NAME
dolfin-convert - Convert to DOLFIN XML format

SYNOPSIS
dolfin-convert [OPTIONS] ... input.x output.y

OPTIONS

-h, --help
    Display help text and exit.

-i format, --input format
    Specify input format.

-o format, --output format
    Specify output format.

Supported formats:

xml - DOLFIN XML mesh format (current)

xml-old
    - DOLFIN XML mesh format (DOLFIN 0.6.2 and earlier)

mesh
    - Medit, generated by tetgen with option -g

gmsh
    - Gmsh, version 2.0 file format

metis
    - Metis graph file format

scotch
    - Scotch graph file format

diffpack
    - Diffpack tetrahedral grid format

abaqus
    - Abaqus tetrahedral grid format

ExodusII
    - Sandia Format (requires ncdump utility from NetCDF)

NetCDF
    - NetCDF format (requires ncdump utility from NetCDF)

StarCD
    - StarCD terahedral grid format

If --input or --output are not specified, the format will be deduced from the suffix:

.xml
    - xml

.mesh
    - mesh

.gmsh
    - gmsh

.msh
    - gmsh

.gra
    - metis

.grf
    - scotch

.grid
    - diffpack

.inp
    - abaqus

.e  - ExodusII

.exo
    - ExodusII

.ncdf
    - NetCDF

.vrt
    - StarCD

.cell
    - StarCD

BUGS

Send comments, questions, bug reports etc. to dolfin@lists.launchpad.net.

AUTHOR
dolfin-convert was originally written by Anders Logg <logg@simula.no>. Several others have contributed to add support for different mesh formats. This manual page was written by Johannes Ring <johannr@simula.no>.